com.sun.jdi.event

## Interface ThreadDeathEvent

All Superinterfaces:
  Event, Mirror

    @Exported
    public interface ThreadDeathEvent
    extends Event

Notification of a completed thread in the target VM. The notification is generated by the dying thread before it terminates. Because of this timing, it is possible for `VirtualMachine.allThreads()` to return this thread after this event is received.

Note that this event gives no information about the lifetime of the thread object. It may or may not be collected soon depending on what references exist in the target VM.

Since:
  1.3
See Also:
  `EventQueue`, `VirtualMachine`, `ThreadReference`

### Method Summary

All Methods Instance Methods Abstract Methods
`ThreadReference` `thread()` Returns the thread which is terminating.

### Methods inherited from interface com.sun.jdi.event.Event

`request`

### Methods inherited from interface com.sun.jdi.Mirror

`toString, virtualMachine`

### Method Detail

#### thread

    ThreadReference thread()

Returns the thread which is terminating.

Returns:
  a `ThreadReference` which mirrors the event's thread in the target VM.